Summary: Systemwide SSH config and known hosts management tool - runtime
Name: etc-ssh-config-wizard
Version: 0.1.1
Release: 1
URL: https://git.labs.zkk.tuwien.ac.at/zkklabs/sw/etc-ssh-config-wizard
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: System/Tools
BuildArchitectures: noarch

Requires: coreutils
Requires: gawk
Requires: openssh-clients
Requires: openssl
Requires: sed

%define navere %{name}-%{version}-%{release}
%define thehash %(echo "%{navere}" | sha512sum | head -c8)

%description
The runtime cares about installing, updating and removing a setup.

%package devel
Summary: Systemwide SSH config and known hosts management tool - devel

Requires: bash-base
Requires: bind-utils
Requires: coreutils
Requires: gawk
Requires: sed

%description devel
The devel part can be used to create a setup.

%prep
%setup -q

%build

%install

# rpm path macros:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/RPMMacros/

rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} %{buildroot}{%{_bindir},%{_libexecdir}/%{name}}
cp -a libexec/* %{buildroot}%{_libexecdir}/%{name}
cp -a bin/* %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE CHANGELOG.md VERSION README.md
%{_libexecdir}/%{name}/*

%files devel
%doc LICENSE
%{_bindir}/*
